 /*
 * Copyright(C) 2000 Проект ИОК
 *
 * Этот файл содержит информацию, являющуюся
 * собственностью компании Крипто Про.
 *
 * Любая часть этого файла не может быть скопирована,
 * исправлена, переведена на другие языки,
 * локализована или модифицирована любым способом,
 * откомпилирована, передана по сети с или на
 * любую компьютерную систему без предварительного
 * заключения соглашения с компанией Крипто Про.
 */

#include "ric_prj.h"

DWORD trust_logout( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    SUPSYS_PRE_CONTEXT( context, TRICContext );
    UNUSED(info);

    return (DWORD)SCARD_E_UNSUPPORTED_FEATURE;
}

DWORD trust_reset(TSupSysContext *context, TSupSysInfo *info)
{
    TRICContext *ctx = (TRICContext*)context;
    const BYTE apdu[] = { 0x80, 0x10, 0, 0 };

    SUPSYS_PRE_CONTEXT(context, TRICContext);
    UNUSED(info);
    if (ctx->card_type != CardType_Magistra)
	return (DWORD)SCARD_E_UNSUPPORTED_FEATURE;
    return send_apdu(ctx, apdu, NULL, 0, NULL, NULL);
}
/* end of file: $Id: mag_lout.c 225669 2021-03-03 12:13:38Z borodin $ */
